curl -X POST 'https://crypto-api.yativo.com/api/v1/accounts/create-account' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"account_name": "Main Treasury",
"account_type": "business"
}'
{
"status": "success",
"message": "Account created successfully",
"data": {
"account_id": "acc_01HX9KZMB3F7VNQP8R2WDGT4E5",
"account_name": "Main Treasury",
"account_type": "business",
"created_at": "2026-03-26T12:00:00Z"
}
}
Accounts
Create Account
Create a new account to organize wallets and assets
POST
/
v1
/
accounts
/
create-account
curl -X POST 'https://crypto-api.yativo.com/api/v1/accounts/create-account' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"account_name": "Main Treasury",
"account_type": "business"
}'
{
"status": "success",
"message": "Account created successfully",
"data": {
"account_id": "acc_01HX9KZMB3F7VNQP8R2WDGT4E5",
"account_name": "Main Treasury",
"account_type": "business",
"created_at": "2026-03-26T12:00:00Z"
}
}
string
required
Bearer token:
Bearer YOUR_ACCESS_TOKENstring
required
A human-readable name for the account.
string
Optional type classification for the account, e.g.
personal, business, customer.curl -X POST 'https://crypto-api.yativo.com/api/v1/accounts/create-account' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"account_name": "Main Treasury",
"account_type": "business"
}'
{
"status": "success",
"message": "Account created successfully",
"data": {
"account_id": "acc_01HX9KZMB3F7VNQP8R2WDGT4E5",
"account_name": "Main Treasury",
"account_type": "business",
"created_at": "2026-03-26T12:00:00Z"
}
}

